#
# spec file for package python-sphinxcontrib-pecanwsme
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-sphinxcontrib-pecanwsme
Version:        0.8.0
Release:        lp150.1.3
Summary:        Extension to Sphinx for documenting APIs built with Pecan and WSME
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            https://github.com/dreamhost/sphinxcontrib-pecanwsme
Source:         https://pypi.python.org/packages/source/s/sphinxcontrib-pecanwsme/sphinxcontrib-pecanwsme-%{version}.tar.gz
BuildRequires:  openstack-suse-macros
BuildRequires:  python-devel
BuildRequires:  python-pbr
BuildRequires:  python-setuptools
Requires:       python-sphinxcontrib-httpdomain
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
Extension to Sphinx for documenting APIs built with Pecan and WSME

%prep
%setup -q -n sphinxcontrib-pecanwsme-%{version}

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE README.rst
%{python2_sitelib}/*

%changelog
* Wed Jul 29 2015 tbechtold@suse.com
- Unify spec file. Use fedora compatible files macros
* Tue May  6 2014 dmueller@suse.com
- update to version 0.8:
  + Fix make rst for method not using wsme
* Tue Mar 18 2014 speilicke@suse.com
- Update to version 0.7.1:
  + update announce.rst for 0.7.1 release
  + Fix formatting issue for docstrings without param list
  + fix tags syntax
* Thu Mar  6 2014 speilicke@suse.com
- Update to version 0.7:
  + Remove trailing slash from URLs
* Thu Feb 13 2014 dmueller@suse.com
- remove d2to1 dependency
* Sat Jan 11 2014 dmueller@suse.com
- update to 0.6:
  * Add support for DELETE and PATCH HTTP verbs
* Mon Oct 21 2013 dmueller@suse.com
- update to 0.5:
  * Add rest verb as prefix for custom_actions
* Thu Sep 26 2013 dmueller@suse.com
- update to 0.4:
  * Remove duplication in RESTControllerDirective
  * Handle more pecan REST method
* Mon Sep 16 2013 speilicke@suse.com
- Update to version 0.3:
  + Update pbr usage past the world of d2to1
* Thu Jul  4 2013 speilicke@suse.com
- Package LICENSE and README.rst
* Mon Jun 10 2013 dmueller@suse.com
- Initial package (0.2)
